Bug 186729 - [maintainer update] net/xrdp: add x11rdp support and enable by default
Summary: [maintainer update] net/xrdp: add x11rdp support and enable by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-13 16:20 UTC by Koichiro Iwao
Modified: 2014-02-14 19:01 UTC (History)
0 users

See Also:


Attachments
file.diff (3.25 KB, patch)
2014-02-13 16:20 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2014-02-13 16:20:00 UTC
Since x11-servers/x11rdp has been added, 

- Add x11rdp support and enable by default
- Enhance default encryption level (backport from upstream [1])
- Bump PORTREVISION for package change

[1] https://github.com/neutrinolabs/xrdp/pull/100

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-13 16:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-14 18:57:23 UTC
Author: swills
Date: Fri Feb 14 18:57:15 2014
New Revision: 344295
URL: http://svnweb.freebsd.org/changeset/ports/344295
QAT: https://qat.redports.org/buildarchive/r344295/

Log:
  - Add x11rdp support and enable by default
  - Enhance default encryption level (backport from upstream [1])
  - Bump PORTREVISION for package change
  
  PR:		ports/186729
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Added:
  head/net/xrdp/files/extra-patch-x11rdp_xrdp.ini   (contents, props changed)
  head/net/xrdp/files/patch-xrdp_xrdp.ini   (contents, props changed)
Modified:
  head/net/xrdp/Makefile

Modified: head/net/xrdp/Makefile
==============================================================================
--- head/net/xrdp/Makefile	Fri Feb 14 18:15:59 2014	(r344294)
+++ head/net/xrdp/Makefile	Fri Feb 14 18:57:15 2014	(r344295)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xrdp
 PORTVERSION=	0.6.1
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	1
 CATEGORIES=	net
 MASTER_SITES=	GH
@@ -29,18 +29,20 @@ GH_TAGNAME=	${GH_COMMIT}
 CONFIGURE_ARGS=	--localstatedir=/var
 LDFLAGS+=	-L${LOCALBASE}/lib
 CPPFLAGS+=	-I${LOCALBASE}/include
-CONFLICTS=	xrdp-devel-[0-9]*
+CONFLICTS_INSTALL=	xrdp-devel-[0-9]* x11rdp-devel-[0-9]*
 
 OPTIONS_DEFINE=	DEBUG
-OPTIONS_DEFAULT=	JP106 TIGERVNC
-OPTIONS_GROUP=	KEYMAP
+OPTIONS_DEFAULT=	JP106 X11RDP
+OPTIONS_GROUP=	KEYMAP XSERVER
 OPTIONS_GROUP_KEYMAP= JP106
+OPTIONS_GROUP_XSERVER= X11RDP
 OPTIONS_RADIO=	XVNC
 OPTIONS_RADIO_XVNC=	REALVNC TIGERVNC TIGHTVNC TRIDIAVNC
 REALVNC_DESC=	Use RealVNC
 TIGERVNC_DESC=	Use TigerVNC (recommended)
 TIGHTVNC_DESC=	Use TightVNC
 TRIDIAVNC_DESC=	Use TridiaVNC
+X11RDP_DESC=	Use X11rdp (most recommended)
 JP106_DESC=	Install Japanese JP106 keymap
 
 .include <bsd.port.options.mk>
@@ -58,6 +60,11 @@ RUN_DEPENDS=	Xvnc:${PORTSDIR}/net/tightv
 .if ${PORT_OPTIONS:MTRIDIAVNC}
 RUN_DEPENDS=	Xvnc:${PORTSDIR}/net/tridiavnc
 .endif
+# X11rdp
+.if ${PORT_OPTIONS:MX11RDP} || exists(${LOCALBASE}/bin/X11rdp)
+RUN_DEPENDS+=	X11rdp:${PORTSDIR}/x11-servers/x11rdp
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-x11rdp_xrdp.ini
+.endif
 
 .if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=	--enable-xrdpdebug

Added: head/net/xrdp/files/extra-patch-x11rdp_xrdp.ini
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/xrdp/files/extra-patch-x11rdp_xrdp.ini	Fri Feb 14 18:57:15 2014	(r344295)
@@ -0,0 +1,74 @@
+--- xrdp/xrdp.ini.orig	2013-02-01 14:36:13.909344583 +0000
++++ xrdp/xrdp.ini	2013-02-01 14:41:12.679342721 +0000
+@@ -17,6 +17,15 @@
+ #background=626c72
+ 
+ [xrdp1]
++name=sesman-X11rdp
++lib=libxup.so
++username=ask
++password=ask
++ip=127.0.0.1
++port=-1
++xserverbpp=24
++
++[xrdp2]
+ name=sesman-Xvnc
+ lib=libvnc.so
+ username=ask
+@@ -24,7 +33,7 @@
+ ip=127.0.0.1
+ port=-1
+ 
+-[xrdp2]
++[xrdp3]
+ name=console
+ lib=libvnc.so
+ ip=127.0.0.1
+@@ -32,7 +41,7 @@
+ username=na
+ password=ask
+ 
+-[xrdp3]
++[xrdp4]
+ name=vnc-any
+ lib=libvnc.so
+ ip=ask
+@@ -40,7 +49,7 @@
+ username=na
+ password=ask
+ 
+-[xrdp4]
++[xrdp5]
+ name=sesman-any
+ lib=libvnc.so
+ ip=ask
+@@ -48,13 +57,13 @@
+ username=ask
+ password=ask
+ 
+-[xrdp5]
++[xrdp6]
+ name=rdp-any
+ lib=librdp.so
+ ip=ask
+ port=ask3389
+ 
+-[xrdp6]
++[xrdp7]
+ name=freerdp-any
+ lib=libxrdpfreerdp1.so
+ ip=ask
+@@ -62,11 +71,4 @@
+ username=ask
+ password=ask
+ 
+-[xrdp7]
+-name=sesman-X11rdp
+-lib=libxup.so
+-username=ask
+-password=ask
+-ip=127.0.0.1
+-port=-1
+-xserverbpp=24
++

Added: head/net/xrdp/files/patch-xrdp_xrdp.ini
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/xrdp/files/patch-xrdp_xrdp.ini	Fri Feb 14 18:57:15 2014	(r344295)
@@ -0,0 +1,11 @@
+--- xrdp/xrdp.ini.orig	2013-09-12 21:36:02.000000000 +0000
++++ xrdp/xrdp.ini	2013-12-19 07:05:11.089270612 +0000
+@@ -3,7 +3,7 @@
+ bitmap_cache=yes
+ bitmap_compression=yes
+ port=3389
+-crypt_level=low
++crypt_level=high
+ channel_code=1
+ max_bpp=24
+ #black=000000
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-02-14 19:01:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!